/************************************************************************
 *  const.h
 *                      
 *
 ************************************************************************
 *
 * PalmSpec,
 * Spectrum emulator for PalmOS(R)
 *
 * (c)2002 Alex Bassas Serramia
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307 USA
 ************************************************************************
 */
#ifndef _const_h
#define _const_h

#define VERSION "PalmSpec v0.7 by Alex Bassas Serramia"

//#define TRACE 
#define D_SCREEN

#include <SystemMgr.h>
#include <SysUtils.h>
#include <ErrorMgr.h>
#include <Form.h>
#include <Menu.h>
#include <StdIOPalm.h>
#include <KeyMgr.h>
#include <TimeMgr.h>
#include "res.h"

#define UCHAR   UInt8
#define CHAR    Int8
#define USHORT  UInt16
#define SHORT   Int16
#define LONG    Int32
#define ULONG   UInt32

#define TRUE    (-1)
#define FALSE   (0)

void FreeListSNA (void);
void GetListSNA (void);
void ListSNA (void);
UCHAR Game (void);

#include "palmstd.h"
#include "spectrum.h"

#endif  //_const_h
